<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns="urn:ru:fss:integration:types:signature:v01" xmlns:mchd="urn:ru:fss:integration:types:mchd:v01" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="urn:ru:fss:integration:types:signature:v01" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="../../../xsd/v01/pa/PowerOfAttorney.xsd" id="mchd" namespace="urn:ru:fss:integration:types:mchd:v01" />
  <xs:element name="authorities" type="AuthorityListType">
    <xs:annotation>
      <xs:documentation>Корневой элемент описывающий полномочия на подпись блоков данных</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:element name="authority" type="AuthorityType">
    <xs:annotation>
      <xs:documentation>Корневой элемент описывающий полномочие на подпись блока данных</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="AuthorityListType">
    <xs:annotation>
      <xs:documentation>Тип описывающий список документов в которых представлены полномочия на подписываемый блок данных</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element minOccurs="1" maxOccurs="unbounded" name="authority" type="AuthorityType" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="AuthorityType">
    <xs:annotation>
      <xs:documentation>Тип описывающий документ в котором представлены полномочия подписи блока данных</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element minOccurs="0" maxOccurs="unbounded" name="referenceId" type="xs:string">
        <xs:annotation>
          <xs:documentation>Идентификатор элемента {http://www.w3.org/2000/09/xmldsig#}Reference родительского блока {http://www.w3.org/2000/09/xmldsig#}Signature</xs:documentation>
          <xs:documentation>Другими словами - идентификатор ссылки с рассчитанным хешом блока данных участвующих формировании подписи</xs:documentation>
          <xs:documentation>У подписанта должны быть полномочия на подпись блока на который ссылается {http://www.w3.org/2000/09/xmldsig#}Reference </xs:documentation>
          <xs:documentation>В случае отсутствия этого элемента будут взяты все элементы Reference из подписи - исключая ссылки на {http://uri.etsi.org/01903/v1.3.2#}SignedProperties </xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:choice>
        <xs:element ref="mchd:powerOfAttorney" />
        <xs:element ref="mchd:powerOfAttorneyLink" />
      </xs:choice>
    </xs:sequence>
  </xs:complexType>
</xs:schema>